{{ define "main" }}

{{ partial "link-section" . }}

<article class="Project">
	<header class="Project-header {{if .Params.image}}Project-featuredImage{{end}}" style='background-image: url("{{.Params.image | relURL | safeCSS }}");'>
		{{with .Params.image_caption}}
		<figure class="Project-featuredImageCaption">
			<figcaption>{{.}}</figcaption>
		</figure>
		{{end}}
	</header>

	<div class="Project-titleInfo">
		<h1 class="Project-title">
			<a href="{{ .Permalink }}">
				{{ .Title }}
			</a>
		</h1>
		<footer class="Project-meta">
			{{with .Params.date_published }}
			<aside class="Project-datePublished">
				{{dateFormat "02 Jan 2006" . }}
			</aside>
			{{end}}
		</footer>
	</div>

	<main class="Project-main">
		<div class="Project-content">
			{{ .Content }}
		</div>
	</main>
</article>
{{ end }}
